Page MenuHomePhabricator

Archive (or delete) unused OAuth2 extension
Closed, ResolvedPublic

Description

The repository mediawiki/extensions/OAuth2 was created for CPT Initiatives (OAuth 2.0) when it was planned that the functionality would be implemented as a new extension. After technical review, it was decided to instead add the functionality to the existing MediaWiki-extensions-OAuth.

As we have no plans to use the repository anymore, and know of no one else with such plans, it should be archived or deleted.


Event Timeline

Anomie created this task.Nov 15 2019, 6:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 15 2019, 6:01 PM

Agreed, please remove this repo, which will not be used and could be confusing in the future.

Do any of the other items listed here apply for this task, or is it just the repository archival?

Do any of the other items listed here apply for this task, or is it just the repository archival?

No clue.

No clue.

Aah, I didn't know that would happen. My apologies; I'll go ahead and copy the checklist into the description, and anything that doesn't apply can be removed (I'm expecting that to be just about everything tbh).

Dinoguy1000 updated the task description. (Show Details)Nov 16 2019, 1:02 AM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptNov 16 2019, 1:02 AM
MarcoAurelio added a subscriber: MarcoAurelio.

Working on this one.

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptNov 16 2019, 2:18 PM

@CCicalese_WMF @Anomie Shall we close all these tasks or can they be kept open around? What shall we do with CPT Initiatives (OAuth 2.0) as well?

No, please do NOT remove those tasks and milestone project. The OAuth 2.0 functionality is being added to the existing OAuth extension. The OAuth 2.0 extension was created in error and is all that needs to be removed.

No, please do NOT remove those tasks and milestone project. The OAuth 2.0 functionality is being added to the existing OAuth extension. The OAuth 2.0 extension was created in error and is all that needs to be removed.

Perfect. Thanks for clarifying.

MarcoAurelio updated the task description. (Show Details)

Change 551330 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[translatewiki@master] Archive the OAuth2 extension

https://gerrit.wikimedia.org/r/551330

Change 551331 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[integration/config@master] Archive the OAuth2 extension

https://gerrit.wikimedia.org/r/551331

Change 551332 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/OAuth2@master] Archive the OAuth2 extension

https://gerrit.wikimedia.org/r/551332

Change 551332 merged by MarcoAurelio:
[mediawiki/extensions/OAuth2@master] Archive the OAuth2 extension

https://gerrit.wikimedia.org/r/551332

Change 551333 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions@master] Archive the OAuth2 extension

https://gerrit.wikimedia.org/r/551333

Change 551333 merged by MarcoAurelio:
[mediawiki/extensions@master] Archive the OAuth2 extension

https://gerrit.wikimedia.org/r/551333

MarcoAurelio moved this task from unsorted/backlog to ready on the User-MarcoAurelio board.

Done. I'll close the task once the remaining patches are merged (cfr. https://gerrit.wikimedia.org/r/#/q/topic:T238429).

Mentioned in SAL (#wikimedia-releng) [2019-11-17T12:24:40Z] <hauskater> Deleted GitHub mirror for extension-OAuth2 refs. T238429

Change 551330 merged by jenkins-bot:
[translatewiki@master] Archive the OAuth2 extension

https://gerrit.wikimedia.org/r/551330

Change 551331 merged by jenkins-bot:
[integration/config@master] Archive the OAuth2 extension

https://gerrit.wikimedia.org/r/551331

Mentioned in SAL (#wikimedia-releng) [2019-11-17T15:23:28Z] <James_F> Zuul: Archive the OAuth2 extension T238429

MarcoAurelio closed this task as Resolved.Nov 17 2019, 6:18 PM
MarcoAurelio moved this task from ready to cabinet on the User-MarcoAurelio board.